---
layout: docs
page_title: targets add-host-sources - Command
description: >-
  The "targets add-host-sources" command adds host sources to target resources.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# targets add-host-sources

Command: `targets add-host-sources`

The `targets add-host-sources` command lets you add host sources to target resources.

## Example

This example adds the host sources `hsst_1234567890` and `hsst_0987654321` to a TCP target with the ID `ttcp_1234567890`:

```shell-session
$ boundary targets add-host-sources -id ttcp_1234567890 -host-source hsst_1234567890 -host-source hsst_0987654321
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets add-host-sources [options] [args]
```

</CodeBlockConfig>

### Command options

- `-host-source=<string>` -  The host source you want to add.
You may specify multiple host sources.
- `-id=<string>` - The ID of the target you want to add a host source to.
- `-version=<int>` - The version of the target to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'